Bug 139368 - Mozilla does not compute log(1) properly on AMD64
Mozilla does not compute log(1) properly on AMD64
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mozilla (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
http://casa.colorado.edu/~gnedin/mozi...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-15 11:38 EST by Josef Bacik
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-02 17:25:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josef Bacik 2004-11-15 11:38:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
When you are trying to do certain javascript math functions in Mozilla
on the AMD 64, ie log(1) or Math.pow(), they return the wrong values.
 If you follow the link provided in this bugzilla on any other machine
you will see the log of 1 is 0, but if you do it on a AMD 64 machine
you get 1.9486702422103142e14, which is quite different from 0.

Version-Release number of selected component (if applicable):
mozilla-1.4.3-3.0.4 

How reproducible:
Always

Steps to Reproduce:
1.Write a javascript function that takes the log(1)
2.print the answer of log(1)
3.
    

Actual Results:  It prints 1.9486702422103142e14

Expected Results:  Its supposed to print 0

Additional info:
Comment 1 Christopher Aillon 2006-11-02 17:25:12 EST
I believe this was a result of broken platform detection code in the JS engine
which was fixed around mozilla 1.7.8-ish.  In any case, this seems fixed in
seamonkey which replaced mozilla in RHEL3.  Please reopen if it does not work still.

Note You need to log in before you can comment on or make changes to this bug.